package com.ibm.sysmgt.raidmgr.dataproc.config.external;

// ---------------------------------------------------------------------
//  Copyright:    (C) International Business Machines Corporation, 2002
//
//  Project Des:  Java Common Raid Manager
//
//  Module Name:  StorageComponentMiniHub.java
//
//  Description:
//
//  Revision(s):  Title - Description            Author          Date
//  ------------  ------------------------     -----------    ----------
//  0.0.0         Creation                      DAK           02/07/02
//

import java.io.*;
import com.ibm.sysmgt.raidmgr.util.*;

public class StorageComponentMiniHub extends StorageComponent 
{
    static final long serialVersionUID = -503937240811281828L;
    public static final int HOST_SIDE = 1;
    public static final int DRIVE_SIDE = 2;

    private int location;
    private int slot;
    private int channel;
    
    /** The StorageComponentMiniHub constructor.
      * @param type
      * @param status
      * @param location
      * @param slot
      * @param channel
      * @param reference - a reference to this component
      */
    public StorageComponentMiniHub (int type,
                                    int status,
                                    int location,
                                    int slot, 
                                    int channel,
                                    Object reference)
    {
        super(type, status, reference);

        this.location = location;
        this.slot = slot;
        this.channel = channel;
    }

    /** Get the location
      * @return the location
      */
    public int getLocation() 
    {
        return location;
    }

    /** Get the slot
      * @return the slot
      */
    public int getSlot() 
    {
        return slot;
    }

    /** Get the channel
      * @return the channel
      */
    public int getChannel() 
    {
        return channel;
    }
}
