package com.ibm.sysmgt.raidmgr.dataproc.config.external;

// ---------------------------------------------------------------------
//  Copyright:    (C) International Business Machines Corporation, 2002
//
//  Project Des:  Java Common Raid Manager
//
//  Module Name:  StorageEnclosureComponents.java
//
//  Description:
//
//  Revision(s):  Title - Description            Author          Date
//  ------------  ------------------------     -----------    ----------
//  0.0.0         Creation                      DAK           02/07/02
//

import java.io.*;
import java.util.*;
import com.ibm.sysmgt.raidmgr.util.*;

public class StorageComponents implements Serializable
{
    static final long serialVersionUID = 160871633057529951L;
    private Vector fanComponents;
    private Vector batteryComponents;
    private Vector powerSupplyComponents;
    private Vector temperatureComponents;
    private Vector miniHubComponents;
    private Vector gbicComponents;
    private Vector environmentalCardComponents;
    
    /** The StorageComponentMiniHub constructor.
      * @param fanComponents
      * @param batteryComponents
      * @param powerSupplyComponents
      * @param temperatureComponents       
      * @param miniHubComponents           
      * @param gbicComponents              
      * @param environmentalCardComponents
      */
    public StorageComponents(Vector fanComponents,               
                             Vector batteryComponents,
                             Vector powerSupplyComponents,       
                             Vector temperatureComponents,       
                             Vector miniHubComponents,           
                             Vector gbicComponents,              
                             Vector environmentalCardComponents) 
    {
        this.fanComponents = fanComponents;                
        this.batteryComponents = batteryComponents;            
        this.powerSupplyComponents = powerSupplyComponents;        
        this.temperatureComponents = temperatureComponents;        
        this.miniHubComponents = miniHubComponents;            
        this.gbicComponents = gbicComponents;               
        this.environmentalCardComponents = environmentalCardComponents;  
    }

    /** Get the fanComponents
      * @return the fanComponents
      */
    public Enumeration getFanComponents() 
    {
        return fanComponents != null ? fanComponents.elements() : null;
    }

    /** Get the batteryComponents
      * @return the batteryComponents
      */
    public Enumeration getBatteryComponents() 
    {
        return batteryComponents != null ? batteryComponents.elements() : null;
    }

    /** Get the powerSupplyComponents
      * @return the powerSupplyComponents
      */
    public Enumeration getPowerSupplyComponents() 
    {
        return powerSupplyComponents != null ? powerSupplyComponents.elements() : null;
    }

    /** Get the temperatureComponents
      * @return the temperatureComponents
      */
    public Enumeration getTemperatureComponents() 
    {
        return temperatureComponents != null ? temperatureComponents.elements() : null;
    }

    /** Get the miniHubComponents
      * @return the miniHubComponents
      */
    public Enumeration getMiniHubComponents() 
    {
        return miniHubComponents != null ? miniHubComponents.elements() : null;
    }

    /** Get the gbicComponents
      * @return the gbicComponents
      */
    public Enumeration getGbicComponents() 
    {
        return gbicComponents != null ? gbicComponents.elements() : null;
    }

    /** Get the environmentalCardComponents
      * @return the environmentalCardComponents
      */
    public Enumeration getEnvironmentalCardComponents() 
    {
        return environmentalCardComponents != null ? environmentalCardComponents.elements() : null;
    }

    /** Get all the Components
      * @return all the Components
      */
    public Enumeration getComponents() 
    {
        Vector v = new Vector();

        for (Enumeration e = fanComponents.elements(); e.hasMoreElements();)
           v.addElement(e.nextElement());

        for (Enumeration e = batteryComponents.elements(); e.hasMoreElements();)
           v.addElement(e.nextElement());

        for (Enumeration e = powerSupplyComponents.elements(); e.hasMoreElements();)
           v.addElement(e.nextElement());

        for (Enumeration e = temperatureComponents.elements(); e.hasMoreElements();)
           v.addElement(e.nextElement());

        for (Enumeration e = miniHubComponents.elements(); e.hasMoreElements();)
           v.addElement(e.nextElement());

        for (Enumeration e = gbicComponents.elements(); e.hasMoreElements();)
           v.addElement(e.nextElement());

        for (Enumeration e = environmentalCardComponents.elements(); e.hasMoreElements();)
           v.addElement(e.nextElement());
        
        return v.elements();
    }
}
